Bug 201613 - installation of paravirt RHEL4.5 guests
installation of paravirt RHEL4.5 guests
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
urgent Severity high
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On: 201622 227149 229588
Blocks: 192025
  Show dependency treegraph
Reported: 2006-08-07 16:27 EDT by Rik van Riel
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0215
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 13:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-08-07 16:27:00 EDT
Description of problem:

Anaconda needs to be able to install paravirtualized RHEL4.5 guests.
Comment 2 James Laska 2006-08-29 08:04:13 EDT
What changes would be required in anaconda to support 4.5 PV installs? 
xenguest-install.py script?
Comment 3 Jeremy Katz 2006-08-29 08:29:38 EDT
No, xenguest-install runs in the host (dom0) which we're not planning on doing
for RHEL4

This is more the necessary anaconda changes to handle the xen kernel and all of
the Xen-specific devices, etc
Comment 5 Jeremy Katz 2006-10-18 16:28:40 EDT
First pass committed... from here on out, it's bug fixes, right? :-)

Will put in MODIFIED once I've given it a quick runthrough on a tree
Comment 6 Brian Stein 2006-11-16 18:26:19 EST
Jeremy - Where does this stand?
Comment 8 Jeremy Katz 2006-11-28 17:14:24 EST
Packages built and should be showing up in a nightly for testing RSN.
Comment 12 Red Hat Bugzilla 2007-05-01 13:24:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.